//$Id: listColumnChooser.js,v 1.1 2005/04/25 07:28:42 shanmugampl Exp $

var _viewObjects = null;

function initColumnChooser(viewObjs){
	this._viewObjects = viewObjs;
	createAndShowCCTable();
}

function createAndShowCCTable(){
	var ccTable = "";
	ccTable = ccTable.concat("<Table class='ccListTable'><tr><td class='ccListHeader' colspan='2'>Columns</td></tr>");
	var count = _viewObjects.length;
	for(var i=0; i<count;i++){
		var obj = _viewObjects[i];
		var isVisible = obj[2];
		var cssName = "ccNotSelected";
		if(currentId != null && currentId == obj[0]){
			cssName = "ccSelected";
		}
		ccTable = ccTable.concat("<TR><td class='"+cssName+"'><input type='checkbox' onClick='selectColumn(this, true)' column='" + obj[0] + "' name='" + obj[0] + "' id='" + obj[0] + "_INP' value='" + obj[1] + "' index='" + i + "'");
		if(isVisible == 'true'){
			ccTable = ccTable.concat(" checked");
		}
		ccTable = ccTable.concat("/></td><td onClick='selectColumn(this)' class='" + cssName + "' column='" + obj[0] + "' id='"+obj[0]+"_COL' index='"+i+"'>" + obj[1] + "</td></tr>");
	}
	ccTable = ccTable.concat("</table>");
	document.getElementById('ccTable').innerHTML = ccTable;
}

var currentId = null;

function selectColumn(obj, isCheckbox){
	var reqId = obj.getAttribute('column');
	if(isCheckbox){
		if(obj.checked == true){
			var count = _viewObjects.length;
			for(var i=0; i<count;i++){
				var curObj = _viewObjects[i];
				if(curObj[0] == reqId){
					curObj[2] = 'true'
				}
			}
		}
		if(obj.checked == false){
			var count = _viewObjects.length;
			for(var i=0; i<count;i++){
				var curObj = _viewObjects[i];
				if(curObj[0] == reqId){
					curObj[2] = 'false';
				}
			}
		}
	}
	currentId = reqId;
	createAndShowCCTable();
}

function moveColumnUp(){
	if(currentId != null){
		var obj = document.getElementById(currentId+"_INP");
		var idx = obj.getAttribute("index");
		if(idx > 0){
			var idxObj = _viewObjects[idx];
			_viewObjects.splice(idx,1); 	
			_viewObjects.splice(idx-1,0,idxObj); 	
			createAndShowCCTable();
		}
	}
	return false;
}

function moveColumnDown(){
	if(currentId != null){
		var obj = document.getElementById(currentId+"_INP");
		var idx = parseInt(obj.getAttribute("index"),10);;
		if(idx < _viewObjects.length - 1){
			var idxObj = _viewObjects[idx];
			_viewObjects.splice(idx,1); 	
			_viewObjects.splice(idx+1,0,idxObj); 	
			createAndShowCCTable();
		}
	}
	return false;
}

